Bug 985529 - [Doc] Add config drive to documentation.
[Doc] Add config drive to documentation.
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.0
Assigned To: Summer Long
ecs-bugs
: Documentation
Depends On:
Blocks: 1011085
  Show dependency treegraph
 
Reported: 2013-07-17 12:59 EDT by Stephen Gordon
Modified: 2014-01-05 23:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-05 23:25:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-07-17 12:59:03 EDT
Describe the issue: 

We need to update the documentation to cover the configuration drive, though I'm not sure where this best fits. For 4.0 probably one of the two user guides but a z-stream patch would need to go into the Install and Config Guide (and/or the Getting Started Guide).

> I just realized we are missing config-drive[1] in RHOS 3.0 documentation, can
> this be added as we want to use this in RHOS reference architecture?
> [1]
> http://docs.openstack.org/trunk/openstack-compute/admin/content/config-drive.html
Comment 3 Summer Long 2013-09-10 16:33:29 EDT
Setting to Modified. Bruce, this is ready for QE; could you possibly brew a version and send over? thanks, Summer
Comment 7 Summer Long 2013-09-23 20:59:20 EDT
16.4.1. Config Drive Overview
[comment] Should there be a space: ISO 9660?
[fix] Added space.

16.4.2.1. Enabling Config Drive
[comment] Backslashes in the example don't fall at the end of a line. 
[fix] Done. Strange issue with userinput tags.

[comment] Xen is only on RHEL5. We say RHOS needs RHEL6.
[fix] Removed statement, moved remaining listitem to simple para.

16.4.3. Accessing Config Drive
[comment] The only supported OS is RHEL6 - so we should be able to explicitly tell the customer how to mount the config drive. (or are we talking about on the guest OS)
[fix]Reworked passage to reflect single method of mounting config drive.

16.4.4.3. User Data Format
 ec2/2009-04-04/user-data 
[comment] Is that a timestamp? Makes the doc seem rather old if it is :-/
[fix]Updated both dates for user data. Also updated dates in 1.6.4.3 to match.
Comment 8 Stephen Gordon 2013-09-23 21:13:35 EDT
(In reply to Summer Long from comment #7)
> 16.4.3. Accessing Config Drive
> [comment] The only supported OS is RHEL6 - so we should be able to
> explicitly tell the customer how to mount the config drive. (or are we
> talking about on the guest OS)
> [fix]Reworked passage to reflect single method of mounting config drive.

Guest support matrix is actually supposed to be the same as base-RHEL and RHEV but I'm not clear on how the config drive works with, for example, Window.

Note You need to log in before you can comment on or make changes to this bug.